%define upstream_name	 encoding-warnings
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Warn on implicit encoding conversions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

Provides:   perl(encoding::warnings)

%description
This perl pragma emits warnings whenever an ASCII character string
containing high-bit bytes is implicitly converted into UTF-8. It
is useful when working with mixed encoding strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/encoding/*
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 375442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.110.0-2.mga2
+ Revision: 104017
- increase rel for rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 14161
- imported package perl-encoding-warnings

